package com.ruoyi.system.service.fgw;

import java.util.List;
import com.ruoyi.system.domain.fgw.FgwJdapDw;

/**
 * 发改委_节点安排_单位Service接口
 * 
 * @author ruoyi
 * @date 2023-04-11
 */
public interface IFgwJdapDwService 
{
    /**
     * 查询发改委_节点安排_单位
     * 
     * @param id 发改委_节点安排_单位主键
     * @return 发改委_节点安排_单位
     */
    public FgwJdapDw selectFgwJdapDwById(Long id);

    /**
     * 查询发改委_节点安排_单位列表
     * 
     * @param fgwJdapDw 发改委_节点安排_单位
     * @return 发改委_节点安排_单位集合
     */
    public List<FgwJdapDw> selectFgwJdapDwList(FgwJdapDw fgwJdapDw);

    /**
     * 新增发改委_节点安排_单位
     * 
     * @param fgwJdapDw 发改委_节点安排_单位
     * @return 结果
     */
    public int insertFgwJdapDw(FgwJdapDw fgwJdapDw);

    /**
     * 修改发改委_节点安排_单位
     * 
     * @param fgwJdapDw 发改委_节点安排_单位
     * @return 结果
     */
    public int updateFgwJdapDw(FgwJdapDw fgwJdapDw);

    /**
     * 批量删除发改委_节点安排_单位
     * 
     * @param ids 需要删除的发改委_节点安排_单位主键集合
     * @return 结果
     */
    public int deleteFgwJdapDwByIds(Long[] ids);

    /**
     * 删除发改委_节点安排_单位信息
     * 
     * @param id 发改委_节点安排_单位主键
     * @return 结果
     */
    public int deleteFgwJdapDwById(Long id);
}
